---
title: Magnetometer.Magnetometer()
slug: Web/API/Magnetometer/Magnetometer
tags:
  - API
  - Constructor
  - Generic Sensor API
  - Magnetometer
  - Reference
  - Sensor
  - Sensor APIs
  - Sensors
---
<div>{{APIRef("Generic Sensor API")}}</div>

<p><span class="seoSummary">The <strong><code>Magnetometer</code></strong> constructor creates a new {{domxref("Magnetometer")}} object which returns information about the magnetic field as detected by a device’s primary magnetometer sensor.</span></p>

<p>If a feature policy blocks use of a feature it is because your code is inconsistent with the policies set on your server. This is not something that would ever be shown to a user. See {{httpheader('Feature-Policy')}} for implementation instructions.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">var <var>magnetometer</var> = new Magnetometer([<em>options</em>])</pre>

<h3 id="Parameters">Parameters</h3>

<dl>
 <dt><em>options</em> {{optional_inline}}</dt>
 <dd>Options are as follows:
 <ul>
  <li><code>frequency</code>: The desired number of times per second a sample should be taken, meaning the number of times per second that {{domxref('sensor.onreading')}} will be called. A whole number or decimal may be used, the latter for frequencies less than a second. The actual reading frequency depends on device hardware and consequently may be less than requested.</li>
  <li><code>referenceFrame</code>: Either <code>'device'</code> or <code>'screen'</code>. The default is <code>'device'</code>.</li>
 </ul>
 </dd>
</dl>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('Generic Sensor')}}</td>
   <td>{{Spec2('Generic Sensor')}}</td>
   <td>Defines sensors in general.</td>
  </tr>
  <tr>
   <td>{{SpecName('Magnetometer','#dom-magnetometer-magnetometer','Magnetometer')}}</td>
   <td>{{Spec2('Magnetometer')}}</td>
   <td> </td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.Magnetometer.Magnetometer")}}</p>
